<? include("_common.php"); ?>
<?
include("./config.php");

$code_id	= $member[mb_id];
$latest_datetime	= "";

if($clickload) {
	$rdAlimi			= sql_fetch("select db_recno, db_datetime, db_content, db_read_datetime from $table_name where db_id='$code_id'");
	$cache_reply_list	= $rdAlimi[db_content];

	//-- 새 반응 글 없는 것으로 표시
	sql_query("update $table_name set db_new_reply_check='' where db_id='$code_id'");
	//-- 바로 전 캐쉬 만든 시간
	$latest_datetime	= $rdAlimi[db_read_datetime];
}else{
	//-- 캐시 만들기
	include("./make.cache.php");
}

//-- 정보를 배열로 저장
$a_new_reply_list	= explode("[@!!@]", $cache_reply_list);
//-- 배열을 날짜와 내용으로 분리 후 날짜 순으로 정렬
$a_new_reply_list	= array_unique($a_new_reply_list);			//-- 배열 중복 값 정리
rsort($a_new_reply_list);										//-- 역순 정렬
$overcnt			= count($a_new_reply_list) - 10;
if($overcnt > 0) for($j = 0; $j < $overcnt; $j++) array_pop($a_new_reply_list);	//-- 10개가 넘으면 뒷 부분 제거

//-- temp_reply : 1게시판이름, 2글번호, 3글쓴이, 4제목, 5답글, 0날짜
$reply_info_list		= array();
for($i = 0; $i < count($a_new_reply_list); $i++) {
	if($a_new_reply_list[$i]) {
		$temp_reply			= explode("[#!!#]", $a_new_reply_list[$i]);
		$reply_info_list[$i][0]	= $temp_reply[1];		//-- 게시판 이름
		$reply_info_list[$i][1]	= $temp_reply[2];		//-- 글번호
		$reply_info_list[$i][2]	= $temp_reply[3];		//-- 글쓴이
		$reply_info_list[$i][3]	= $temp_reply[4];		//-- 제목
		$reply_info_list[$i][4]	= $temp_reply[5];		//-- 답댓글
		$reply_info_list[$i][5]	= $temp_reply[0];		//-- 날짜
		$reply_info_list[$i][6]	= $g4url."/bbs/board.php?bo_table=".$temp_reply[1]."&wr_id=".$temp_reply[2];		//-- 게시판 링크
	}
}

if(ZM_IS_MOBILE)
	include_once("mo.new.reply.skin.php");		//-- 모바일 알리미 스킨
else
	include_once("pc.new.reply.skin.php");		//-- PC 알리미 스킨
?>